//
// ClassifyReso200ResponseValueInner.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ClassifyReso200ResponseValueInner: Codable, JSONEncodable, Hashable {

    public var media: [ClassifyReso200ResponseValueInnerMediaInner]?

    public init(media: [ClassifyReso200ResponseValueInnerMediaInner]? = nil) {
        self.media = media
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case media = "Media"
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(media, forKey: .media)
    }
}

